/**
 * <a href="http://www.openolat.org">
 * OpenOLAT - Online Learning and Training</a><br>
 * <p>
 * Licensed under the Apache License, Version 2.0 (the "License"); <br>
 * you may not use this file except in compliance with the License.<br>
 * You may obtain a copy of the License at the
 * <a href="http://www.apache.org/licenses/LICENSE-2.0">Apache homepage</a>
 * <p>
 * Unless required by applicable law or agreed to in writing,<br>
 * software distributed under the License is distributed on an "AS IS" BASIS, <br>
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. <br>
 * See the License for the specific language governing permissions and <br>
 * limitations under the License.
 * <p>
 * Initial code contributed and copyrighted by<br>
 * frentix GmbH, http://www.frentix.com
 * <p>
 */
package org.olat.ims.qti21.ui.components;

import org.olat.core.gui.components.form.flexible.impl.elements.table.FlexiCellRenderer;
import org.olat.core.gui.components.form.flexible.impl.elements.table.FlexiTableComponent;
import org.olat.core.gui.render.Renderer;
import org.olat.core.gui.render.StringOutput;
import org.olat.core.gui.render.URLBuilder;
import org.olat.core.gui.translator.Translator;
import org.olat.ims.qti21.ui.QTI21AssessmentTestSessionDetails;

/**
 * 
 * Initial date: 6 mai 2020<br>
 * @author srosse, stephane.rosse@frentix.com, http://www.frentix.com
 *
 */
public class AssessmentTestSessionDetailsNumberRenderer implements FlexiCellRenderer {
	
	private final Translator translator;
	
	public AssessmentTestSessionDetailsNumberRenderer(Translator translator) {
		this.translator = translator;
	}

	@Override
	public void render(Renderer renderer, StringOutput target, Object cellValue, int row, FlexiTableComponent source,
			URLBuilder ubu, Translator translate) {
		
		Object obj = source.getFlexiTableElement().getTableDataModel().getObject(row);
		if(obj instanceof QTI21AssessmentTestSessionDetails && ((QTI21AssessmentTestSessionDetails)obj).isError()) {
			target.append("<span title=\"").append(translator.translate("error.assessment.test.session")).append("\">")
			      .append("<i class='o_icon o_icon_error'> </i> ").append(translator.translate("error.assessment.test.session.short"))
			      .append("</span>");
			
		} else if(cellValue != null) {
			target.append(cellValue.toString());
		}
	}
}
